/* SPLASHSCREEN */

#splashScreen {
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% + 2px);
    height: calc(100% + 2px);
    background-image: url(../Game/Graphics/Images/Backgrounds/GFX_splashScreenBackground.jpg?_t=20250630231425);
    background-size: cover;
    background-position: center;
    z-index: 9999999;
    opacity: 1;
    transition: opacity 1s;
    transform: translate3d(-1px, -1px, 0);
}

#splashScreen .screenOverlay {
    position: absolute;
    top: -1px;
    left: -1px;
    width: calc(100% + 1px);
    height: calc(100% + 1px);
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 70%, rgba(6, 17, 53, 0.9) 85%, rgba(6, 17, 53, 0.95) 100%);
}

#splashScreen._disabled {
    opacity: 0;
}

#splashScreen._loaded {
    opacity: 1;
    transition: none;
}

#splashScreen .paytablePage {
    top: unset;
    bottom: 164px;
    width: 100%;
    height: 480px;
    box-sizing: border-box;
    padding: 0 40px;
}

/*#splashScreen .paytablePage .customContent {*/
/*    height: 100% !important;*/
/*}*/

#splashScreen .splashLoadingInfo {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 140px;
    text-align: center;
    margin: 0 auto;
}

#splashScreen .splashProgressBarHolder {
    margin-top: 22px;
}

#splashScreen._loaded .splashProgressBarHolder {
    display: none;
}

#splashScreen._error .splashProgressBarHolder {
    margin-top: 12px;
}

#splashScreen .splashProgressBar {
    width: 504px;
    height: 8px;
    background: #112357;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.6);
    margin: 0 auto;
}

#splashScreen._error .splashProgressBar {
    display: block;
    width: 100%;
    height: auto;
    font-size: 24px;
    line-height: 28px;
    color: #e4161a;
    letter-spacing: 1px;
    background: none;
    box-shadow: none;
    box-sizing: border-box;
    padding: 0 20px;
}

#splashScreen .splashProgressBarOverlay {
    height: 100%;
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#84b0e5+0,e2e9ff+48,9bccf4+50,62b9eb+58,71b4ed+60,71b4ed+60,84b0e5+100 */
    background: rgb(132, 176, 229); /* Old browsers */
    background: -moz-linear-gradient(
        top,
        rgba(132, 176, 229, 1) 0%,
        rgba(226, 233, 255, 1) 48%,
        rgba(155, 204, 244, 1) 50%,
        rgba(98, 185, 235, 1) 58%,
        rgba(113, 180, 237, 1) 60%,
        rgba(113, 180, 237, 1) 60%,
        rgba(132, 176, 229, 1) 100%
    ); /* FF3.6-15 */
    background: -webkit-linear-gradient(
        top,
        rgba(132, 176, 229, 1) 0%,
        rgba(226, 233, 255, 1) 48%,
        rgba(155, 204, 244, 1) 50%,
        rgba(98, 185, 235, 1) 58%,
        rgba(113, 180, 237, 1) 60%,
        rgba(113, 180, 237, 1) 60%,
        rgba(132, 176, 229, 1) 100%
    ); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(
        to bottom,
        rgba(132, 176, 229, 1) 0%,
        rgba(226, 233, 255, 1) 48%,
        rgba(155, 204, 244, 1) 50%,
        rgba(98, 185, 235, 1) 58%,
        rgba(113, 180, 237, 1) 60%,
        rgba(113, 180, 237, 1) 60%,
        rgba(132, 176, 229, 1) 100%
    ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#84b0e5', endColorstr='#84b0e5',GradientType=0 ); /* IE6-9 */
}

#splashScreen._error .splashProgressBarOverlay {
    background: none;
}

#splashScreen #splashContinueButton {
    display: none;
    height: 40px;
    line-height: 40px;
    font-size: 26px;
    font-weight: bold;
    color: #072543;
    text-shadow: 0 1px 1px #fff;
    text-align: center;
    letter-spacing: 1px;
    border-radius: 33px;
    border: 2px solid #fff;
    box-shadow: 0 0 1px #fff;
    background-image: -ms-linear-gradient(top, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    background-image: -moz-linear-gradient(top, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    background-image: -o-linear-gradient(top, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    background-image: -webkit-gradient(
        linear,
        left top,
        left bottom,
        color-stop(0, #f4f6fa),
        color-stop(50, #809fc9),
        color-stop(75, #809fc9),
        color-stop(100, #f4f6fa)
    );
    background-image: -webkit-linear-gradient(top, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    background-image: linear-gradient(to bottom, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    padding: 0 60px;
    margin: 4px 16px;
    cursor: pointer;
    animation: teaseContinueBtn 1s infinite 0.5s;
    white-space: nowrap;
}

#splashScreen._loaded #splashContinueButton {
    display: inline-block;
}

#splashScreen #splashContinueButton:hover {
    box-shadow: 0 0 8px #ffffff;
    -webkit-filter: brightness(1.3);
    filter: brightness(1.3);
    animation: none;
}

#splashScreen #splashContinueButton:active {
    line-height: 41px;
}

@-webkit-keyframes teaseContinueBtn {
    50% {
        box-shadow: 0 0 8px #ffffff;
        -webkit-filter: brightness(1.3);
        filter: brightness(1.3);
    }
}

@keyframes teaseContinueBtn {
    50% {
        box-shadow: 0 0 8px #ffffff;
        -webkit-filter: brightness(1.3);
        filter: brightness(1.3);
    }
}

#splashScreen #splashContinueButton,
#splashScreen #splashContinueButton div {
    transform: translate3d(0, 0, 0);
}

#splashScreen .synotLogo {
    position: absolute;
    bottom: 16px;
    left: 0;
    right: 0;
    margin: 0 auto;
    pointer-events: none;
}

/* custom */
#splashScreen .gameLogo {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
}

@supports (mix-blend-mode: screen) {
    #splashScreen .gameLogoBg {
        display: block;
    }
}

.splashScreen .buyFeatureRibbon {
    position: absolute;
    top: 0;
    left: 0;
}

.splashScreen .buyFeatureRibbon div {
    position: absolute;
    top: 39px;
    left: 107px;
    width: 211px;
    height: 56px;
    font-size: 28px;
    line-height: 28px;
    font-weight: bold;
    color: #ffffc4;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.splashScreen .buyFeatureRibbon div.text {
    background: repeating-linear-gradient(#ffffc4, #ffc561 28px);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    z-index: 1;
}

.splashScreen .buyFeatureRibbon div.shadow {
    text-shadow: 1px 1px rgba(0, 0, 0, 0.8);
}

.paytablePage.splashScreen {
    display: flex;
    align-items: center;
}

.paytablePage.splashScreen .customContent {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    height: auto !important;
    justify-content: space-around;
}

.paytablePage.splashScreen .customContent > * {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1 0 calc(100% / 3);
}

.splashScreen .symbolDescription {
    font-size: 53px;
    width: max-content;
}

.splashScreen .splCollector {
    margin-top: -39px;
    margin-bottom: -60px;
}

.splashScreen .screenContainer .splImage {
    width: 443px;
    height: 416px;
}

.splashScreen .screenContainer .splImage > * {
    position: absolute;

    animation-name: fadeSplashScreenImage;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 10s;
    animation-fill-mode: forwards;
    opacity: 0;
}

.splashScreen .screenContainer .splImage .splReels {
    animation: none;
    z-index: -1;
    opacity: 1;
}

.splashScreen .screenContainer .splImage .splReels5 {
    animation-delay: 8s;
}

.splashScreen .screenContainer .splImage .splReels4 {
    animation-delay: 6s;
}

.splashScreen .screenContainer .splImage .splReels3 {
    animation-delay: 4s;
}

.splashScreen .screenContainer .splImage .splReels2 {
    animation-delay: 2s;
}

.splashScreen .screenContainer .splImage .splReels1 {
    animation-delay: 0s;
}

@keyframes fadeSplashScreenImage {
    0% {
        opacity: 0;
    }
    8% {
        opacity: 1;
    }
    22% {
        opacity: 1;
    }
    27% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

.splashScreen .wild .splImage {
    width: 233px;
    height: 233px;
    margin-top: 60px;
}

.splBonus {
    margin-top: 40px;
}

.splashScreen .wild .splImage > *,
.splashScreen .wild .symbolDescriptionContainer > * {
    position: absolute;

    animation-name: fadeSplashScreenImageEgg;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 6s;
    animation-fill-mode: forwards;
    opacity: 0;
}

.splashScreen .wild .symbolDescriptionContainer > * {
    display: flex;
    width: 100%;
    justify-content: center;
}

.splashScreen .wild .symbolDescriptionContainer > *:last-child {
    position: relative;
}

.splashScreen .wild .splImage .splEgg3,
.splashScreen .wild .symbolDescriptionContainer > *:nth-child(3) {
    animation-delay: 4s;
}

.splashScreen .wild .splImage .splEgg2,
.splashScreen .wild .symbolDescriptionContainer > *:nth-child(2) {
    animation-delay: 2s;
}

.splashScreen .wild .splImage .splEgg1,
.splashScreen .wild .symbolDescriptionContainer > *:nth-child(1) {
    animation-delay: 0s;
}

@keyframes fadeSplashScreenImageEgg {
    0% {
        opacity: 0;
    }
    8% {
        opacity: 1;
    }
    37% {
        opacity: 1;
    }
    45% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

.splashScreen .scatterCount {
    display: inline;
}

.splashScreen .splImageContainer {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(0 0 43px rgb(250 231 103 / 60%));
}

.splashScreen .bonus .splImageContainer {
    margin-left: -47px;
}

.splashScreen .symbolDescriptionContainer {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
}

.splashScreen .screenContainer .symbolDescriptionContainer {
    letter-spacing: 2px;
}

.splashScreen .symbolDescription.stroke {
    -webkit-text-stroke: 5px #000;
    position: absolute;
    font-weight: bold;
}

.splashScreen .symbolDescription.text {
    background: repeating-linear-gradient(#fff 7px, #ffe797, #fc9b01 65px);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    z-index: 1;
    font-weight: bold;
    position: relative;
}

.splBonus {
    filter: drop-shadow(0 0 0.75rem rgb(188 64 14 / 80%));
}

.portrait .paytablePage.splashScreen .customContent {
    flex-direction: column;
}

.portrait .paytablePage.splashScreen .customContent > * {
    flex-direction: row;
    margin: 0;
}

.portrait .splashScreen .wild .splImage {
    margin: 0;
}

.portrait .splashScreen .bonus .splImageContainer,
.portrait .splashScreen .splImageContainer {
    max-width: 440px;
    flex: 1 0 440px;
    margin: 0;
}

.portrait .splashScreen .symbolDescriptionContainer {
    flex: 1;
}

.portrait .splBonus {
    margin: 0 0 0 -42px;
}

.portrait #splashScreen .gameLogo {
    top: 80px;
}

.portrait .paytablePage.splashScreen .customContent > .wild {
    margin-top: -30px;
}

/****************** splashScreen ********************/

.splScr {
    background-image: url(../Game/Graphics/SpriteSheets/CSS_splashScreen.png?_t=20250630231425);
    background-repeat: no-repeat;
}

/*******************************************************/

.buyFeatureRibbon {
    background-position: -446px -1255px;
    width: 327px;
    height: 117px;
}

.gameLogo {
    background-position: -1px -1px;
    width: 573px;
    height: 100px;
}

.splBonus {
    background-position: -307px -1374px;
    width: 261px;
    height: 251px;
}

.splEgg1 {
    background-position: -775px -1255px;
    width: 233px;
    height: 233px;
}

.splEgg2 {
    background-position: -1px -1420px;
    width: 233px;
    height: 233px;
}

.splEgg3 {
    background-position: -1px -1655px;
    width: 233px;
    height: 233px;
}

.splReels {
    background-position: -576px -1px;
    width: 443px;
    height: 416px;
}

.splReels1 {
    background-position: -1px -103px;
    width: 443px;
    height: 416px;
}

.splReels2 {
    background-position: -446px -419px;
    width: 443px;
    height: 416px;
}

.splReels3 {
    background-position: -1px -521px;
    width: 443px;
    height: 416px;
}

.splReels4 {
    background-position: -446px -837px;
    width: 443px;
    height: 416px;
}

.splReels5 {
    background-position: -1px -939px;
    width: 443px;
    height: 416px;
}

.synotLogo {
    background-position: -1px -1357px;
    width: 304px;
    height: 61px;
}

/* MOBILE PORTRAIT OVERRIDES */
.portrait #splashScreen {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.portrait #splashScreen .splashContent {
    margin: 0 0 200px;
}

.portrait #splashScreen .paytablePage {
    bottom: unset;
    height: auto;
    padding: 0;
    margin: 0;
    z-index: 1;
}

.portrait #splashScreen .splashLoadingInfo {
    width: 100%;
    height: 200px;
    z-index: 1;
}

.portrait #splashScreen .synotLogo {
    bottom: 56px;
}

/* special resolutions fix */

.portrait #splashScreen .paytablePage {
    transform: scale(0.9);
}

.portrait.mobile-xs #splashScreen .paytablePage {
    transform: scale(0.7);
}

.portrait.tablet #splashScreen .paytablePage,
.portrait.tablet-xs #splashScreen .paytablePage {
    transform: scale(0.45);
}

.portrait.safari:not(.mobile-xs):not(.tablet):not(.tablet-xs) #splashScreen .paytablePage {
    transform: scale(0.9);
}

/******************/

body[language^='bg'] .splashScreen .buyFeatureRibbon div {
    font-size: 23px;
}

body[language^='cs'] .splashScreen .buyFeatureRibbon div {
    font-size: 25px;
}

body[language^='et'] .splashScreen .buyFeatureRibbon div {
    font-size: 25px;
}

body[language^='fr'] .splashScreen .buyFeatureRibbon div {
    font-size: 24px;
}

body[language^='ka'] .splashScreen .buyFeatureRibbon div {
    font-size: 18px;
}

body[language^='el'] .splashScreen .buyFeatureRibbon div {
    left: 121px;
    width: 187px;
    font-size: 17px;
}

body[language^='hu'] .splashScreen .buyFeatureRibbon div {
    font-size: 24px;
}

body[language^='zh'] .splashScreen .buyFeatureRibbon div {
    font-size: 24px;
}

body[language^='zh'] .splashScreen .symbolDescription {
    font-size: 47px;
}

body[language^='ja'] .splashScreen .buyFeatureRibbon div {
    left: 120px;
    width: 193px;
    font-size: 20px;
}
body[language^='ja'] .splashScreen .symbolDescription {
    font-size: 47px;
}

body[language^='lt'] .splashScreen .buyFeatureRibbon div {
    left: 113px;
    width: 207px;
    font-size: 24px;
}

body[language^='pl'] .splashScreen .buyFeatureRibbon div {
    font-size: 24px;
}

body[language^='ru'] .splashScreen .buyFeatureRibbon div {
    font-size: 25px;
}

body[language^='sk'] .splashScreen .buyFeatureRibbon div {
    left: 111px;
    font-size: 21px;
}

body[language^='es'] .splashScreen .buyFeatureRibbon div {
    font-size: 25px;
}

body[language^='tr'] .splashScreen .buyFeatureRibbon div {
    font-size: 25px;
}

body[language^='uk'] .splashScreen .buyFeatureRibbon div {
    font-size: 25px;
}

body[language^='vi'] .splashScreen .symbolDescription {
    font-size: 48px;
}
body[language^='vi'] .splashScreen .buyFeatureRibbon div {
    left: 111px;
    font-size: 24px;
}
body[language^='pt-BR'] .splashScreen .buyFeatureRibbon div {
    left: 111px;
    font-size: 24px;
}

body[language^='ka'] .splashScreen .symbolDescription {
    font-size: 30px;
    background: repeating-linear-gradient(#fff 6px, #ffe797, #fc9b01 39px);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    line-height: 36px;
}

body[language^='ka'] #splashScreen #splashContinueButton {
    font-size: 24px;
}

body[language^='nl'] .splashScreen .symbolDescription {
    font-size: 36px;
    background: repeating-linear-gradient(#fff 6px, #ffe797, #fc9b01 45px);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    line-height: 42px;
}
body[language^='da'] .splashScreen .symbolDescription {
    font-size: 36px;
    background: repeating-linear-gradient(#fff 6px, #ffe797, #fc9b01 45px);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    line-height: 42px;
}

body[language^='el'] .splashScreen .symbolDescription {
    font-size: 30px;
    background: repeating-linear-gradient(#fff 6px, #ffe797, #fc9b01 39px);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    line-height: 36px;
}

body[language^='el'] #splashScreen #splashContinueButton {
    font-size: 22px;
}
